summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorrazer2019-11-11 09:04:24 +0100
committerrazer2019-11-11 09:04:24 +0100
commitc2152b3f0f3c2bbbaad90f365bbba76ebe3603a2 (patch)
treea1c8e1949f233d3ad8242ce3473e4a25dba9b5b3
downloadaur-c2152b3f0f3c2bbbaad90f365bbba76ebe3603a2.tar.gz
Initial release
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD26
2 files changed, 43 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..98cc64e75c0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = python-adafruit-circuitpython-busdevice
+ pkgdesc = CircuitPython bus device classes to manage bus sharing
+ pkgver = 4.0.0
+ pkgrel = 0
+ url = https://github.com/adafruit/Adafruit_CircuitPython_BusDevice
+ arch = armv6h
+ arch = armv7h
+ license = MIT
+ makedepends = python-setuptools
+ depends = python
+ depends = python-adafruit-blinka
+ optdepends = python-raspberry-gpio
+ source = https://pypi.io/packages/source/a/adafruit-circuitpython-busdevice/adafruit-circuitpython-busdevice-4.0.0.tar.gz
+ sha256sums = 07a1430946b73925f98c6251b972bdf52c620d880150b1b4f5c7eff85b05fae7
+
+pkgname = python-adafruit-circuitpython-busdevice
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c25cd2aa94f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Razer <razer[AT]neuf[DOT]fr>
+
+pkgname=python-adafruit-circuitpython-busdevice
+_pypi_pkgname=adafruit-circuitpython-busdevice
+pkgver=4.0.0
+pkgrel=0
+pkgdesc="CircuitPython bus device classes to manage bus sharing"
+arch=('armv6h' 'armv7h')
+url="https://github.com/adafruit/Adafruit_CircuitPython_BusDevice"
+license=('MIT')
+makedepends=('python-setuptools')
+depends=('python' 'python-adafruit-blinka')
+optdepends=('python-raspberry-gpio')
+source=("https://pypi.io/packages/source/a/${_pypi_pkgname}/${_pypi_pkgname}-${pkgver}.tar.gz")
+sha256sums=('07a1430946b73925f98c6251b972bdf52c620d880150b1b4f5c7eff85b05fae7')
+
+build() {
+ cd "${srcdir}/${_pypi_pkgname}-${pkgver}"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "${srcdir}/${_pypi_pkgname}-${pkgver}"
+ python setup.py install --root=${pkgdir} --optimize=1 || return 1
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}